<div class="centered-content">
  <div class="task-manager-container">

    <div class="sidebar has-background-white">
      <h1 class="title has-text-primary">
        Lists
      </h1>
      <div class="list-menu">
        <a class="list-menu-item" *ngFor="let list of lists" [routerLink]="['/lists', list._id]" routerLinkActive="is-active">
          <p>{{ list.title }}</p>
        </a>
      </div>
      <button class="button is-primary has-text-white" routerLink="/new-list">+ New List</button>
    </div>



    <div class="tasks-list-container has-background-light">
      <h1 class="title has-text-primary">
        Tasks
      </h1>

      <!-- Task Elements -->
      <div class="task" *ngFor="let task of tasks" (click)="onTaskClick(task)" [ngClass]="{ 'is-completed' : task.completed}">
        <p>{{task.title}}</p>
      </div>

      <button class="circle-add-button button is-primary" routerLink="./new-task"><img src="../../../assets/téléchargement.svg"></button>

    </div>

  </div>
</div>
